Subject: [bug#52576] [PATCH] gnu: ibus-anthy: Update to 1.15.12

From: Taiju HIGASHI <[email-masked]>
Date: Thu, 23 Dec 2021 14:44:29 +0900

Ludovic Courtès <[email-masked]> writes:

Hi Lidovic,

Thank you for the response.

> Would it be possible to arrange to skip only the test(s) that expect to
> run interactively?  It would be more robust than skipping all the
> tests.

I've been working on a fix for the last few days that would allow me to
avoid skipping tests, but it's very difficult for me.

I tried to refer to how the major distributions implement it, but all of
the following seem to skip the test.

Arch:
https://github.com/archlinux/svntogit-community/blob/dce2fe2721db394fdf91cea5268dc9d636df0249/trunk/PKGBUILD

Gentoo:
https://gitweb.gentoo.org/repo/gentoo.git/tree/app-i18n/ibus-anthy/ibus-anthy-1.5.13.ebuild?id=fc38e3f625d2aee08a90e2eb19a80ccadf945094

Debian:
http://deb.debian.org/debian/pool/main/i/ibus-anthy/ibus-anthy_1.5.13-1.debian.tar.xz

The reason for skipping the tests in the Debian build process was described as follows.

> we do not make test for now since it needs a running ibus-daemon instance.

It is my understanding that the tests run by `make check` require `make install`.

> Hi,
>
> Taiju HIGASHI <[email-masked]> skribis:
>
>> I'm using GNOME (40.4) with Guix, and version 1.5.9 of ibus-anthy had
>> a problem with ibus-anthy not being able to save settings.
>>
>> I'm assuming this is the cause, since the release notes say that
>> ibus-anthy version 1.5.10 includes a fix for migrating from dConf to
>> GSettings.
>
> Good.
>
>> 1.5.10 adds a test, but I skipped running the test.  I wish I had a
>> better solution, but the fix including the test was difficult for me.
>> It also included tests for users to enter values in dialogs and to
>> update files under their home directories, so I thought it would be
>> better to skip the tests.
>
> Would it be possible to arrange to skip only the test(s) that expect to
> run interactively?  It would be more robust than skipping all the tests.
>
> Other than that the change LGTM.
>
> BTW current ‘master’ has GNOME 41; it would be good to see how things
> work now.
>
> Thanks,
> Ludo’.